#!/bin/bash
# Transifexから最新の翻訳データをダウンロード、wesnothに適用するスクリプト

set -eu

source ./variables.sh
source ./api_token.sh
TOP_DIR=${PWD}

if [ ! -d ${TX_DIR} ]; then
  echo 'ローカルのTranisfexプロジェクトを初期化'
  mkdir ${TX_DIR}
  tx init ${TX_DIR} --token=${TX_TOKEN} --force --no-interactive

  echo "リモートプロジェクトを${TX_PROJECT}に設定"
  cd ${TX_DIR}
  tx config mapping-remote ${TX_URL}/projects/p/${TX_PROJECT}/
  cd ${TOP_DIR}
fi

echo 'リモートプロジェクトより翻訳データをローカルプロジェクトにダウンロード'
cd ${TX_DIR}
tx pull -a
cd ${TOP_DIR}

echo '翻訳データをwesnothに適用'
for RESOURCE in ${WESNOTH_RESOURCES}
do
  echo "${RESOURCE}"
  msgfmt ${TX_DIR}/translations/${TX_PROJECT}.${RESOURCE}/ja.po -o wesnoth/translations/ja/LC_MESSAGES/${RESOURCE}.mo
done
