#!/bin/bash
# ソースコードから翻訳テンプレートファイルを生成、Transifexにアップロードするスクリプト

set -eu

source ./variables.sh
source ./api_token.sh
TOP_DIR=${PWD}

cd wesnoth/build
echo 'ソースコードから翻訳テンプレートファイルを生成'
make pot-update -j3
cd ${TOP_DIR}

if [ ! -d ${TX_DIR} ]; then
  mkdir ${TX_DIR}
  cd ${TX_DIR}
  echo 'ローカルのTranisfexプロジェクトを初期化'
  tx init ${TX_DIR} --token=${TX_TOKEN} --force --no-interactive
  echo "リモートプロジェクトを${TX_PROJECT}に設定"
  tx config mapping-remote ${TX_URL}/projects/p/${TXPROJECT}/
  cd ${TOP_DIR}
fi

if [ ! -d ${TX_DIR}/sources ]; then
  mkdir ${TX_DIR}/sources
fi
cp wesnoth/po/*/*.pot ${TX_DIR}/sources/
cd ${TX_DIR}
echo 'ローカルのTranisfexプロジェクトに翻訳テンプレートファイルを設定'
for RESOURCE in ${WESNOTH_RESOURCES}
do
  tx config --source -r ${TX_PROJECT}.${RESOURCE} --type PO -l en sources/${RESOURCE}.pot
done
echo 'リモートプロジェクトに変更を適用'
tx push -s
